Bug 1005554 - backup/restore to support legacy backup
backup/restore to support legacy backup
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Yedidyah Bar David
Pavel Stehlik
integration
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-08 06:23 EDT by Alon Bar-Lev
Modified: 2015-09-22 09 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-20 10:22:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alon Bar-Lev 2013-09-08 06:23:39 EDT
ovirt-engine-3.3 introduces formal utility for backup/restore, engine-backup.

This utility should be used as an interface for users to perform all backup/restore activities.

There is a requirement to restore previous version database into current version. If that requirement is valid, the engine-backup utility should support that mode of operation.

One problem is that the legacy backup file contains database creation commands, while in engine-3.3 we expect to restore into existing database.

First we should understand why restoring previous minor backup is required, for that we need PM.
Comment 1 Alon Bar-Lev 2013-09-08 06:25:53 EDT
Hello Andrew,

Is there a requirement to restore 3.2 backup into 3.3 environment?

Won't it better to install 3.2, restore database and then upgrade?

Thanks,
Alon
Comment 2 Andrew Cathrow 2013-10-20 10:22:23 EDT
(In reply to Alon Bar-Lev from comment #1)
> Hello Andrew,
> 
> Is there a requirement to restore 3.2 backup into 3.3 environment?
> 
> Won't it better to install 3.2, restore database and then upgrade?
> 
> Thanks,
> Alon

Agree, closing

Note You need to log in before you can comment on or make changes to this bug.